Page MenuHomePhabricator

Tweak the search in EditorOverlay behaviour
Closed, ResolvedPublic5 Story Points

Description

  • When I type in text into the search box, the list of collection items currently goes empty. Instead they should refresh. It's too jarring.
  • When I click on the search input it should replace the overlay header with a search header (the edit button and delete button are hidden below)
    • use MobileFrontend SearchOverlay header for guidance
    • Clicking the X in the top left returns you to the page with current members and edit and delete button
    • There is an X in the right corner that when clicked clears the current value of the search. It doesn't escape the overlay.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to In Analysis on the Gather Sprint Forward board.
Jdlrobson added a subscriber: Jdlrobson.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 11:13 PM
Jdlrobson updated the task description. (Show Details)Apr 10 2015, 11:37 PM
Jdlrobson added a project: Gather.
Jdlrobson set Security to None.
Jdlrobson edited a custom field.
Jdlrobson edited a custom field.
Jdlrobson moved this task from Needs triage to Bug backlog on the Gather board.
JKatzWMF updated the task description. (Show Details)Apr 13 2015, 6:05 PM
JKatzWMF updated the task description. (Show Details)
JKatzWMF updated the task description. (Show Details)
Jdlrobson moved this task from Ready for dev to In development on the Gather Sprint Forward board.

Change 203978 had a related patch set uploaded (by Jdlrobson):
Open search interface full screen when focused

https://gerrit.wikimedia.org/r/203978

Change 203979 had a related patch set uploaded (by Jdlrobson):
Add clear button to search within editor overlay

https://gerrit.wikimedia.org/r/203979

Change 203978 merged by jenkins-bot:
Open search interface full screen when focused

https://gerrit.wikimedia.org/r/203978

Change 203979 merged by jenkins-bot:
Add clear button to search within editor overlay

https://gerrit.wikimedia.org/r/203979

The criteria for this card is met and the patches are merged.

But, I'd like to point out the lack of a spinner when searching. It may be important, otherwise it seems like even if you are writing there nothing is happening. @JKatzWMF @Jdlrobson let's discuss if you guys think it is a good idea and add it to in analysis if so.

Jdlrobson moved this task from Bug backlog to In sprint on the Gather board.Apr 16 2015, 5:36 PM
JKatzWMF closed this task as Resolved.Apr 27 2015, 4:55 AM
JKatzWMF moved this task from Ready for signoff to Done on the Gather Sprint Forward board.